## Process this file with automake to produce Makefile.in
##
## $Id$
##
##
## Author:  Alban Deniz
##
## Copyright (C) 2008 by MicroNeil Corporation. All rights reserved.
##

CXXFLAGS = $(SNF_CXXFLAGS)

noinst_LIBRARIES = 					\
	libCodeDweller.a

libCodeDweller_a_SOURCES =        			\
	@top_srcdir@/CodeDweller/base64codec.cpp	\
	@top_srcdir@/CodeDweller/configuration.cpp	\
	@top_srcdir@/CodeDweller/networking.cpp		\
	@top_srcdir@/CodeDweller/threading.cpp		\
	@top_srcdir@/CodeDweller/timing.cpp

noinst_HEADERS =                    				\
	@top_srcdir@/CodeDweller/base64codec.hpp		\
	@top_srcdir@/CodeDweller/configuration.hpp		\
	@top_srcdir@/CodeDweller/configuration.inline.hpp	\
	@top_srcdir@/CodeDweller/histogram.hpp			\
	@top_srcdir@/CodeDweller/networking.hpp			\
	@top_srcdir@/CodeDweller/networking.inline.hpp		\
	@top_srcdir@/CodeDweller/threading.hpp			\
	@top_srcdir@/CodeDweller/timing.hpp

clean-local:
	rm -f *.gcno *.gcov *.gcda *~
